当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助:新装的ubuntu安装java后在火狐浏览器中显示不出插件
帖子发表于 : 2008-08-14 9:51 

注册: 2008-08-08 9:27
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
刚装了个buuntu8.04桌面版后安装jre-6u7-linux-x64-rpm.bin打开指定的网页不能弹出java验证页面。请大家帮忙说下到底应该注意什么。和他具体的安装步骤。





图上是安装java后打开指定页面后正确的显示。但我装后确弹出的是空白页



另外在redhat5中的opera中能显示,在火狐的不能显示,还有在ubuntu中安装opera也没安装成功。请大家帮忙。谢谢了


附件:
.JPG
.JPG [ 11.04 KiB | 被浏览 4218 次 ]
页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-08-15 16:56 

注册: 2008-08-08 9:27
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
请问大家我的问题是太简单了大家不屑一顾还是我没说清楚呢?
大家设置路由器不知道大家见过需要安装java的这种没。如锐捷的路由器他们的就需要
安装java才能在web页面配置路由器。
比如打192.168.0.1:xxxx进入路由器设置,他就会弹出我上面图上所示的java界面。但我装的java在ubuntu里的火狐浏览器上不就是也就是弹不出java页面,我就进不了路由器了
我的那就是硬防火墙的验证界面。大家能帮帮我吗?说详细点
另外我请大家帮我看下我说的上面几个问题
1丶输入这命令sudo apt-get install sun-java6-jre sun-java6-plugin sun-java6-fonts
我的电脑提示安装失败没有找到文件

2丶没有2. 在firefox地址栏里输入:about:plugins,看看java插件部分说明部分
那就是你们说的安装失败对吧,但我正不知道怎么安装

3丶不好意思。你说的编译好的java包在哪下载呢?能说下吗?谢谢
那编译好的包是不是opera_9.50.etch-qt3_i386.deb,以*.deb格式的?可我下载了安装不了。
他提示error:dependency is not satisfiable:libqt3-mt
the opera web brower
有的朋友说我少了linbqt3-mt但我不知道怎么把他安装上去。哪有这个软件


4丶引用:
原帖由 acerok 于 2008-8-14 10:26 发表
不好意思。你说的编译好的java包在哪下载呢?能说下吗?谢谢
那编译好的包是不是opera_9.50.etch-qt3_i386.deb,以*.deb格式的?可我下载了安装不了。
他提示error:dependency is not satisfiable:libqt3-mt
the ...
这个命令就是安装ubuntu官方的软件包的:
复制内容到剪贴板代码:
sudo apt-get install sun-java6-jre sun-java6-plugin sun-java6-fonts
在终端里运行它就可以了

不过,在安装之前,你可以按照上面我说的看看firefox是否已经有那个插件了,你之前用.bin的那个文件安装的那个

这个正的不明白怎么弄


人菜没办法 大家帮帮忙吧


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-08-18 8:01 

注册: 2008-08-08 9:27
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
我说的够仔细了吧
大家帮忙解决下吧


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-08-18 8:18 
头像

注册: 2008-05-10 9:53
帖子: 752
送出感谢: 0 次
接收感谢: 1
firefox 新立德里装jre和IcedTea Java plugin


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-08-18 8:46 

注册: 2008-08-08 9:27
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
现在上不了网啊!要通过验证才能上网


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-08-18 8:49 

注册: 2008-08-08 9:27
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
在firefox地址栏里输入:about:plugins,看看java插件部分说明部分
输入about:plugins后没有发现java的插件
Installed plugins
Find more information about browser plugins at mozilla.org.
Help for installing plugins is available from plugindoc.mozdev.org.
iTunes Application Detector

File name: /usr/lib/xulrunner-addons/plugins/librhythmbox-itms-detection-plugin.so
This plug-in detects the presence of iTunes when opening iTunes Store URLs in a web page with Firefox.

MIME Type Description Suffixes Enabled
application/itunes-plugin Yes
Default Plugin

File name: /usr/lib/xulrunner-addons/plugins/libnullplugin.so
The default plugin handles plugin data for mimetypes and extensions that are not specified and facilitates downloading of new plugins.

MIME Type Description Suffixes Enabled
* All types .* No
Demo Print Plugin for unix/linux

File name: /usr/lib/xulrunner-addons/plugins/libunixprintplugin.so
The demo print plugin for unix.

MIME Type Description Suffixes Enabled
application/x-print-unix-nsplugin Demo Print Plugin for Unix/Linux .pnt Yes
Totem Web Browser Plugin 2.22.1

File name: /usr/lib/totem/gstreamer/libtotem-basic-plugin.so
The Totem 2.22.1 plugin handles video and audio streams.

MIME Type Description Suffixes Enabled
application/x-ogg - ogg Yes
application/ogg Ogg multimedia ogg Yes
audio/ogg Ogg Audio oga Yes
audio/x-ogg Ogg Audio ogg Yes
video/ogg Ogg Video ogv Yes
video/x-ogg Ogg Video ogg Yes
application/annodex - anx Yes
audio/annodex - axa Yes
video/annodex - axv Yes
video/mpeg MPEG 视频 mpg, mpeg, mpe Yes
audio/wav WAV 音频 wav Yes
audio/x-wav WAV 音频 wav Yes
audio/mpeg MP3 音频 mp3 Yes
application/x-nsv-vp3-mp3 NullSoft video nsv Yes
video/flv Flash video flv Yes
Helix DNA Plugin: RealPlayer G2 Plug-In Compatible (compatible; Totem)

File name: /usr/lib/totem/gstreamer/libtotem-complex-plugin.so
The Totem 2.22.1 plugin handles video and audio streams.

MIME Type Description Suffixes Enabled
audio/x-pn-realaudio-plugin RealAudio document rpm Yes
VLC Multimedia Plugin (compatible Totem 2.22.1)

File name: /usr/lib/totem/gstreamer/libtotem-cone-plugin.so
The Totem 2.22.1 plugin handles video and audio streams.

MIME Type Description Suffixes Enabled
application/x-vlc-plugin 未知 Yes
application/vlc 未知 Yes
video/x-google-vlc-plugin 未知 Yes
Windows Media Player Plug-in 10 (compatible; Totem)

File name: /usr/lib/totem/gstreamer/libtotem-gmp-plugin.so
The Totem 2.22.1 plugin handles video and audio streams.

MIME Type Description Suffixes Enabled
application/x-mplayer2 AVI 视频 avi, wma, wmv Yes
video/x-ms-asf-plugin ASF video asf, wmv Yes
video/x-msvideo AVI 视频 asf, wmv Yes
video/x-ms-asf ASF video asf Yes
video/x-ms-wmv Windows Media video wmv Yes
video/x-wmv Windows Media video wmv Yes
video/x-ms-wvx Microsoft ASX playlist wmv Yes
video/x-ms-wm ASF video wmv Yes
application/x-ms-wms Windows Media video wms Yes
application/asx Microsoft ASX playlist asx Yes
audio/x-ms-wma Windows Media audio wma Yes
DivX?? Web Player

File name: /usr/lib/totem/gstreamer/libtotem-mully-plugin.so
DivX Web Player version 1.4.0.233

MIME Type Description Suffixes Enabled
video/divx AVI 视频 divx Yes
QuickTime Plug-in 7.2.0

File name: /usr/lib/totem/gstreamer/libtotem-narrowspace-plugin.so
The Totem 2.22.1 plugin handles video and audio streams.

MIME Type Description Suffixes Enabled
video/quicktime QuickTime 视频 mov Yes
video/mp4 MPEG-4 video mp4 Yes
image/x-macpaint MacPaint Bitmap image pntg Yes
image/x-quicktime QuickTime image pict, pict1, pict2 Yes
video/x-m4v MPEG-4 video m4v Yes





sudo apt-get install sun-java6-jre sun-java6-plugin sun-java6-fonts
输入命令后提示:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
现在没有可用的软件包 sun-java6-jre,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
E: 软件包 sun-java6-jre 还没有可供安装的候选者


sudo apt-get install linbqt3-mt
输入这个命令提示:
sudo: unable to resolve host sm04
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
E: 无法找到软件包 linbqt3-mt

安装opera.deb提示
drwxrwxrwt 14 root root 4096 2008-08-18 08:18 .
drwxr-xr-x 21 root root 4096 2008-08-14 13:20 ..
drwx------ 2 acerok root 4096 2008-08-18 08:08 .esd-1000
drwx------ 2 acerok root 4096 2008-08-18 08:09 .exchange-acerok
drwx------ 3 acerok root 4096 2008-08-18 08:08 gconfd-acerok
drwxrwxrwt 2 root root 4096 2008-08-18 08:08 .ICE-unix
drwx------ 2 acerok root 4096 2008-08-18 08:08 keyring-pUoQ7f
-rwxrwxrwx 1 acerok root 8295240 2008-08-12 16:11 opera.deb
drwx------ 2 acerok root 4096 2008-08-18 08:17 orbit-acerok
drwx------ 2 gdm gdm 4096 2008-08-18 08:08 orbit-gdm
drwx------ 2 acerok root 4096 2008-08-18 08:08 pulse-acerok
srwxr-xr-x 1 acerok root 0 2008-08-18 08:09 scim-bridge-0.3.0.socket-1000@localhost:0.0
srw------- 1 acerok root 0 2008-08-18 08:08 scim-helper-manager-socket-acerok
srw------- 1 acerok root 0 2008-08-18 08:08 scim-panel-socket:0-acerok
srw------- 1 acerok root 0 2008-08-18 08:08 scim-socket-frontend-acerok
drwx------ 2 acerok root 4096 2008-08-18 08:08 seahorse-HeM4CZ
-rw------- 1 root root 0 2008-08-18 08:08 tmp.YOqLdA5258
drwx------ 3 acerok root 4096 2008-08-18 08:09 Tracker-acerok.5463
drwx------ 2 acerok root 4096 2008-08-18 08:09 virtual-acerok.S2YMnR
-r--r--r-- 1 root root 11 2008-08-18 08:08 .X0-lock
drwxrwxrwt 2 root root 4096 2008-08-18 08:08 .X11-unix
acerok@sm04:/tmp$ sudo apt-get install opera.deb
sudo: unable to resolve host sm04
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
E: 无法找到软件包


怎么都安装不了啊


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-08-18 8:58 
头像

注册: 2008-05-10 9:53
帖子: 752
送出感谢: 0 次
接收感谢: 1
用locate搜索 libjavaplugin_oji.so
把它复制到/usr/lib/firefox/plugins里
或者sudo ln -s 搜索出的路径文件 /usr/lib/firefox/plugins
重新打开firefox


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-08-18 11:55 

注册: 2008-08-08 9:27
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
谢谢楼上的回答,但我按你的方法做了可是没有什么变化


哎....真是气死我了,难道装个软件就这么难吗?搞的我对他又没什么信心了


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-08-18 12:48 
头像

注册: 2008-05-10 9:53
帖子: 752
送出感谢: 0 次
接收感谢: 1
如果x64没有关系的话,可能不要rpm的能行。到http://www.java.com/zh_CN/download/manual.jsp下个不带rpm的,再装。或者去http://packages.ubuntu.com/找找有没有jre的deb包
正常情况下firefox应该显示如图吧


附件:
Screenshot-7.png
Screenshot-7.png [ 39.13 KiB | 被浏览 3803 次 ]

Screenshot-4.png
Screenshot-4.png [ 27.06 KiB | 被浏览 3793 次 ]

页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-08-19 8:07 

注册: 2008-08-08 9:27
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
谢谢上面兄弟的回答。
我去看了下第一个图示上面的java标示有的。第二个没有。
我安装*.bed包提示
sudo apt-get install sun-java6-jre sun-java6-plugin sun-java6-fonts
输入命令后提示:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
现在没有可用的软件包 sun-java6-jre,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
E: 软件包 sun-java6-jre 还没有可供安装的候选者
或者提示
error:dependency is not satisfiable:libqt3-mt
the ...
总之安装不了啊


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-08-19 10:26 
头像

注册: 2008-05-10 9:53
帖子: 752
送出感谢: 0 次
接收感谢: 1
还没解决?你下载了deb包吗?

在其他能上网的系统,到这个页面http://www.java.com/zh_CN/download/manual.jsp
你的ubuntu安的是amd64的吗?
是的话下载Linux x64 * 文件大小: 17.50 MB ;
不是下 Linux (自解压文件) 文件大小: 18.83 MB ;
安装说明看http://www.java.com/zh_CN/download/help/5000010500.xml#selfextracting

下载完,回ubuntu安装
配置复制 libjavaplugin_oji.so到相应目录


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Google [Bot] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译